import { Body, Controller, Post } from '@nestjs/common';
import { CreateBidHistoryDto } from '../../dto/bid-history/create-bid-history.dto';
import { BidHistoriesService } from '../../services/bid-histories.service';

@Controller('bid-histories')
export class BidHistoriesController {
  constructor(private readonly bidHistoriesService: BidHistoriesService) {}

  @Post()
  async create(@Body() data: CreateBidHistoryDto) {
    return await this.bidHistoriesService.create(data);
  }
}
